/*
 * Class SPECIAL [INTEGER_32]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_280 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_280 [] = {0xFF01,237,279,206,0xFFFF};
static const EIF_TYPE_INDEX egt_2_280 [] = {0xFF01,279,206,0xFFFF};
static const EIF_TYPE_INDEX egt_3_280 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_280 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_280 [] = {0xFF01,279,206,0xFFFF};
static const EIF_TYPE_INDEX egt_6_280 [] = {0xFF01,279,206,0xFFFF};
static const EIF_TYPE_INDEX egt_7_280 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_280 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_280 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_280 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_280 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_280 [] = {279,206,0xFFFF};
static const EIF_TYPE_INDEX egt_13_280 [] = {0xFF01,279,206,0xFFFF};
static const EIF_TYPE_INDEX egt_14_280 [] = {0xFF01,280,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_15_280 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_16_280 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_17_280 [] = {0xFF01,284,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_18_280 [] = {0xFF01,285,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_280 [] = {0xFF01,279,206,0xFFFF};
static const EIF_TYPE_INDEX egt_20_280 [] = {0xFF01,279,206,0xFFFF};
static const EIF_TYPE_INDEX egt_21_280 [] = {0xFF01,279,206,0xFFFF};
static const EIF_TYPE_INDEX egt_22_280 [] = {0xFF01,279,206,0xFFFF};
static const EIF_TYPE_INDEX egt_23_280 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_24_280 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_25_280 [] = {0xFF01,220,0xFFFF};


static const struct desc_info desc_280[] = {
	{EIF_GENERIC(NULL), 3432, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_280), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_280), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_280), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_280), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_280), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_280), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_280), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_280), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_280), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_280), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_280), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_280), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_280), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_280), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_280), 3368, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_280), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3433, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3434, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3435, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_280), 3437, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3438, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 3439, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 3440, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_280), 3441, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_280), 3442, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3444, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3445, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3448, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3449, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3451, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3452, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3453, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3454, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3455, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3456, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3457, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3458, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3459, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3460, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3461, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3462, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3463, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3464, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3465, 0xFFFFFFFF},
	{EIF_GENERIC(egt_19_280), 3466, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_280), 3467, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_280), 3468, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_280), 3469, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3470, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3471, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3472, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3473, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3474, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3475, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3476, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3477, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3478, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3480, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3481, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_280), 3436, 0xFFFFFFFF},
	{EIF_GENERIC(egt_24_280), 3443, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3450, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3446, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3447, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3450, 0xFFFFFFFF},
	{EIF_GENERIC(egt_25_280), 3479, 0xFFFFFFFF},
};
void Init280(void)
{
	IDSC(desc_280, 0, 279);
	IDSC(desc_280 + 1, 1, 279);
	IDSC(desc_280 + 32, 99, 279);
	IDSC(desc_280 + 34, 2, 279);
	IDSC(desc_280 + 77, 256, 279);
	IDSC(desc_280 + 80, 240, 279);
	IDSC(desc_280 + 83, 336, 279);
}


#ifdef __cplusplus
}
#endif
